Skip to content
Get started

Deletes a product list by id, optionally archiving it or removing only its header.

DELETE/api/v2/public/stores/{store_number}/productlists

Deletes a product list by id, optionally archiving it or removing only its header.

Path ParametersExpand Collapse
store_number: string
Query ParametersExpand Collapse
product_list_id: number

The product list identifier to delete.

formatint64
is_archived: optional boolean

When true, archives the product list instead of permanently deleting it.

is_delete_header: optional boolean

When true, deletes only the product list header (and its lines).

Header ParametersExpand Collapse
"Accept-Language": optional string
api_key: optional string

Deletes a product list by id, optionally archiving it or removing only its header.

curl https://api.colleqtive.net/api/v2/public/stores/$STORE_NUMBER/productlists \
    -X DELETE \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
true
Returns Examples
true